LINUX.ORG.RU

76
Всего сообщений: 1456

ШГ сравнение новичка Ubuntu 18.04 LTS/Debian 10 / Opensuse Leap 15.1

Хочу поделиться своими наблюдениями и выводами относительно шрифтов в указанных дистрибутивов со стороны пользователя Linux со стажем 1 месяц. Очень приветствуются комментарии и указания на возможно неправильный ход логических мыслей и технические выводы. Немного офтопа: Причина по которой я решил открыть для себя Linux проста-возможность практического использования старых классных ноутбуков бизнес класса от HP(nc6400) и IBM/Lenovo (x60s, T60)для серфинга и отдыха. 90% задач решаемых на них-это инет-серфинг с чтением различной информации, просмотр футбольных трансляции и фильмы,ютуб. Немного технических характеристик: 945 чипсет, 2-3гб памяти, встроенное видео от Intel либо Radeon X1300. Данные конфиги на винде не вытягивают потоковое видео с сайтов тв каналов в HD (720p) качестве. А если и вытягивают, то больше шевелиться нельзя. Я - любитель смотреть футбол и держать открытой страницы с он-лайн ставками. Постоянно обновляющая страница превращает трансляцию в стоп-кадр. Беглое знакомство с Linux дистрибутивами показало, что на этой ОС все вышеозвученное заходит на ура в весьма комфортном режиме, чему я был приятно удивлен. И теперь плавно переходим к сути: шрифты!!!! Перелопатив тонну материалов, наигравшись вдоволь с настройками, также с яркостью и вдоволь наустанавливавшись шрифты Cleartype ,Droid и прочие рекомендуемые-глаза вытекают от Ubuntu практически сразу!!! Сейчас пишу с Debian 10 c того же ноутбука (HP nc6400 radeon x1300,14' 1440x900) и ничего не меняв в настройках из коробки, глазам вполне комфортно, не винда конечно, но терпимо) Это лично у меня так с глазами, разные драйвера видео,выставляемые по умолчанию, либо это имеет место быть и дело? Чуть позже планирую отписаться по впечатлениям от утомляемости глаз на OpenSUSE. Я написал такую простыню не зря. Разве это не самая важная для обычного пользователя характеристика использования той или иной ОС-утомляемость зрения/комфорт работы?! По-моему при наличия дискомфорта вопрос об альтернативе в виде Линукса решается автоматически не в пользу последнего.

 , ,

archibull ()

Установка 2 Linux ( Ubuntu+Opensuse)на диск mbr

И снова о разметке диска для 2 -х дистрибутивов и установке....поиском тут воспользовался, статьи погуглил. Разбил диск на: /swap (основной) /boot (основной; зачем отдельный бут,если не собираешься экспериментировать с ядрами,не совсем точно понял) / (логический) /home (логический) - Оставил: неразмеченным место под второй / (логический,равен по объёму первому) 10 GB просто про запас Сам винч 160 GB, ноут старый HP nc6400 для освоения линукс,uefi нет, c gpt не грузит Поставил Ubuntu mate, записал загрузчик в MBR. Хочу ещё opensuse поставить, первая попытка была неудачной. Как понял загрузчик поставил не в MBR,а в /boot. Подскажите,пожалуйста,при установке 2-й ОС, инсталятору тоже указывать писать grub в MBR и на что ещё обратить внимание.

 , , ,

archibull ()

Отваливается тачпад CyPS/2 после перезагрузки

Добрый день.

Прошу помочь разобраться со странной проблемой: после перезагрузки ОС отваливается тачпад (его нет в системе).
Но стоит перезагрузиться в Винду, а после опять в линукс, как тачпад появляется и работает до следующей перезагрузки.

1. Используемые иксы - xfce 4.12

2. Тачпад: CyPS/2 Cypress Trackpad
/dev/input/mice
/dev/input/mouse0
Bus: PS/2
Device Numbers:
Major: 13
Minor: 63
Range: 1
Type:c

3. uname -a
Linux linux-tgl4 4.12.14-lp151.28.4-default #1 SMP Fri May 24 07:57:46 UTC 2019 (af35fd1) x86_64 x86_64 x86_64 GNU/Linux

4. cat /etc/SUSE-brand
openSUSE
VERSION = 15.1

5. synclient -l
Parameter settings:
LeftEdge = 32
RightEdge = 768
TopEdge = 21
BottomEdge = 379
FingerLow = 25
FingerHigh = 30
MaxTapTime = 180
MaxTapMove = 39
MaxDoubleTapTime = 180
SingleTapTimeout = 180
ClickTime = 100
EmulateMidButtonTime = 75
EmulateTwoFingerMinZ = 282
EmulateTwoFingerMinW = 112
VertScrollDelta = 17
HorizScrollDelta = 17
VertEdgeScroll = 0
HorizEdgeScroll = 0
CornerCoasting = 0
VertTwoFingerScroll = 1
HorizTwoFingerScroll = 0
MinSpeed = 1
MaxSpeed = 1.75
AccelFactor = 0.223714
TouchpadOff = 0
LockedDrags = 0
LockedDragTimeout = 5000
RTCornerButton = 0
RBCornerButton = 0
LTCornerButton = 0
LBCornerButton = 0
TapButton1 = 1
TapButton2 = 3
TapButton3 = 2
ClickFinger1 = 1
ClickFinger2 = 1
ClickFinger3 = 1
CircularScrolling = 0
CircScrollDelta = 0.1
CircScrollTrigger = 0
CircularPad = 0
PalmDetect = 0
PalmMinWidth = 160
PalmMinZ = 200
CoastingSpeed = 20
CoastingFriction = 50
PressureMotionMinZ = 30
PressureMotionMaxZ = 160
PressureMotionMinFactor = 1
PressureMotionMaxFactor = 1
GrabEventDevice = 0
TapAndDragGesture = 1
AreaLeftEdge = 0
AreaRightEdge = 0
AreaTopEdge = 0
AreaBottomEdge = 0
HorizHysteresis = 4
VertHysteresis = 4
ClickPad = 0

6.1 Логи иксов, когда есть тачпад:
cat /var/log/Xorg.0.log | grep -i cyps

[ 39.206] Kernel command line: BOOT_IMAGE=/boot/vmlinuz- 4.12.14-lp151.28.4-default root=UUID=d1d87450-1556-4727-abe9-9b299efc01fd splash=silent resume=/dev/disk/by-id/ata-Hitachi_HTS547550A9E384_J2410051H5H05A-part5 psmouse.proto=cyps mitigations=auto
[ 41.535] (II) config/udev: Adding input device CyPS/2 Cypress Trackpad (/dev/input/event1)
[ 41.535] (**) CyPS/2 Cypress Trackpad: Applying InputClass «evdev touchpad catchall»
[ 41.535] (**) CyPS/2 Cypress Trackpad: Applying InputClass «touchpad catchall»
[ 41.535] (**) CyPS/2 Cypress Trackpad: Applying InputClass «Default clickpad buttons»
[ 41.536] (**) CyPS/2 Cypress Trackpad: Applying InputClass «evdev touchpad catchall»
[ 41.536] (**) CyPS/2 Cypress Trackpad: Applying InputClass «libinput touchpad catchall»
[ 41.536] (**) CyPS/2 Cypress Trackpad: Applying InputClass «touchpad catchall»
[ 41.536] (**) CyPS/2 Cypress Trackpad: Applying InputClass «Default clickpad buttons»
[ 41.543] (II) Using input driver 'synaptics' for 'CyPS/2 Cypress Trackpad'
[ 41.543] (**) CyPS/2 Cypress Trackpad: always reports core events
[ 41.584] (II) synaptics: CyPS/2 Cypress Trackpad: ignoring touch events for semi-multitouch device
[ 41.584] (--) synaptics: CyPS/2 Cypress Trackpad: x-axis range 0 - 800 (res 8)
[ 41.584] (--) synaptics: CyPS/2 Cypress Trackpad: y-axis range 0 - 400 (res 6)
[ 41.584] (--) synaptics: CyPS/2 Cypress Trackpad: pressure range 0 - 255
[ 41.585] (--) synaptics: CyPS/2 Cypress Trackpad: finger width range 0 - 255
[ 41.585] (--) synaptics: CyPS/2 Cypress Trackpad: buttons: left right middle double triple
[ 41.585] (--) synaptics: CyPS/2 Cypress Trackpad: Vendor 0x2 Product 0x11
[ 41.586] (--) synaptics: CyPS/2 Cypress Trackpad: touchpad found
[ 41.586] (**) CyPS/2 Cypress Trackpad: always reports core events
[ 41.616] (II) XINPUT: Adding extended input device «CyPS/2 Cypress Trackpad» (type: TOUCHPAD, id 12)
[ 41.616] (**) synaptics: CyPS/2 Cypress Trackpad: (accel) MinSpeed is now constant deceleration 2.5
[ 41.616] (**) synaptics: CyPS/2 Cypress Trackpad: (accel) MaxSpeed is now 1.75
[ 41.617] (**) synaptics: CyPS/2 Cypress Trackpad: (accel) AccelFactor is now 0.224
[ 41.618] (**) CyPS/2 Cypress Trackpad: (accel) keeping acceleration scheme 1
[ 41.618] (**) CyPS/2 Cypress Trackpad: (accel) acceleration profile 1
[ 41.618] (**) CyPS/2 Cypress Trackpad: (accel) acceleration factor: 2.000
[ 41.618] (**) CyPS/2 Cypress Trackpad: (accel) acceleration threshold: 4
[ 41.619] (--) synaptics: CyPS/2 Cypress Trackpad: touchpad found
[ 41.621] (II) config/udev: Adding input device CyPS/2 Cypress Trackpad (/dev/input/mouse0)
[ 41.621] (**) CyPS/2 Cypress Trackpad: Ignoring device from InputClass «touchpad ignore duplicates»

6.2 Логи иксов, когда нет тачпада:
cat /var/log/Xorg.0.log | grep -i cyps

[ 39.895] Kernel command line: BOOT_IMAGE=/boot/vmlinuz- 4.12.14-lp151.28.4-default root=UUID=d1d87450-1556-4727-abe9-9b299efc01fd splash=silent resume=/dev/disk/by-id/ata-Hitachi_HTS547550A9E384_J2410051H5H05A-part5 psmouse.proto=cyps mitigations=auto

7. Опция для GRUB2 в cmdline «psmouse.proto=cyps» не помогает.

8. Компонент «xf86-input-synaptics» установлен.

 , ,

andriks ()

Opensuse 15 pppoe

В общем сабж. Rp-pppoe стоит. Pppoe-setup сделал. Все должно работать но нет. Как я понимаю все из-за нового подхода к фаерволлу. В настройках не появляется ppp0 хотя интерфейс создан. Я вообще не понимаю что они там намудрили в leap.

 ,

teisatsu ()

OpenSuSe умерли все репозитории (только у меня?)

пример:
http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Tumbleweed/ работает
но нажмите по любому файлу например этот
не работает, все файлы недоступны

хотел обновиться а тут вот так

только у меня так?

 

hgt54r ()

Системная политика запрещает изменение настроек для всех пользователей

При выхода из режима ожидания постоянно вылезает:

системная политика запрещает изменение настроек для всех пользователей

org.freedesktop.NetworkManager.settings.modify.system

ОС opensuse leap

 

Talnah ()

софт для записи потокового радио в мп3

Какой софт популярен для такой цели? желательно поминималистичнее.

 

gigantischer ()

увеличение температурного порога для срабатывания кулера на ноуте

Как можно настроить сабж, чтобы не с 50 градусов кулер часто начинал включаться а хотя бы с 60-65? Системы: openSUSE и MX.

 

gigantischer ()

Opensuse LUKS decryption failure (deleted boot partition)

Привет всем.

SSD диска разделён на 2 части. 1-я под Windows, 2-я под Linux(OpenSuse). Разделы под Linux были зашыфровани при установке ОС.

Когда сносил Windows, то удалил boot раздел от Linux, соответственно загрузить систему стало нереально.

Что я сделал: на месте Windows поставил вторую SUSE, думал смогу разшыфровать диск, но как то не очень получилось. Диск разшифровал, смонтировал, но файлов частично нет. «Home» полностью отсуствует.

Приметка: Раздел «Home» был вместе с ОС, не отдельно.

Восстановить grub пробовал, но тоже не получилось. В «Rescue» не получилось смонтировать папку /mnt, результат такой: (Неизвесная файловая система crypt-LUKS) - как то так.

Что интерестно, при розшифровке раздела доступ к папке /boot/.... и всёму содержымому есть. Но как его правильно восстановить? Или как разшифровать диск?

 , , ,

taras3333 ()

Fedora vs openSuse

Всем доброго дня! Нужен совет. Стою перед выбором дистрибутива Fedora или openSuse, предпочтение к оболочке KDE. Что нужно от OS, я начинающий web разработчик хотелось подобрать стабильный дистрибутив для дальнейшей работы а не головнина. Если есть другие предложения с удовольствием выслушаю.

******
Если есть разработчики, напишите, пожалуйста, кто в чем работает. Заранее благодарен!
******

P.S. Ubuntu, Debian и их подобных не предлагать.

 , , ,

serendsoft ()

OpenSUSE-42.3 поддержка обновлений закончилась?

Сегодня пытался обновиться:

$ sudo zypper update
Файл '/repodata/repomd.xml' не найден на носителе 'https://download.opensuse.org/repositories/system:/snappy/openSUSE_Leap_42.3'
Прервать, повторить, игнорировать? [a/r/i/...? выводит все параметры] (a): 

Вроде ж в июле должна была прекратиться?

 

gigantischer ()

OpenSUSE-не устанавливается python пакет esmre

% sudo pip2.7 install esmre    
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7.
Collecting esmre
  Using cached https://files.pythonhosted.org/packages/50/b0/17401277ddaa334622c047f9c9a083956e67f8b08c7b8b43ade0b588f349/esmre-0.3.1.tar.gz
Requirement already satisfied: setuptools in /usr/lib/python2.7/site-packages (from esmre) (40.0.0)
Installing collected packages: esmre
  Running setup.py install for esmre ... error
    ERROR: Complete output from command /usr/bin/python -u -c 'import setuptools, tokenize;__file__='"'"'/tmp/pip-install-GQ3531/esmre/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /tmp/pip-record-q35OMc/install-record.txt --single-version-externally-managed --compile:
    ERROR: running install
    running build
    running build_py
    creating build
    creating build/lib.linux-x86_64-2.7
    copying src/esmre.py -> build/lib.linux-x86_64-2.7
    running build_ext
    building 'esm' extension
    creating build/temp.linux-x86_64-2.7
    creating build/temp.linux-x86_64-2.7/src
    gcc -pthread -fno-strict-aliasing -fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DOPENSSL_LOAD_CONF -fwrapv -fPIC -I/usr/include/python2.7 -c src/esm.c -o build/temp.linux-x86_64-2.7/src/esm.o
    src/esm.c:19:20: fatal error: Python.h: Нет такого файла или каталога
     #include <Python.h>
                        ^
    compilation terminated.
    error: command 'gcc' failed with exit status 1
    ----------------------------------------
ERROR: Command "/usr/bin/python -u -c 'import setuptools, tokenize;__file__='"'"'/tmp/pip-install-GQ3531/esmre/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /tmp/pip-record-q35OMc/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-install-GQ3531/esmre/

 ,

gigantischer ()

OpenSUSE - не устанавливается python пакет mitmproxy

% sudo pip2.7 install mitmproxy
.................................................
Installing collected packages: cryptography, Pillow, construct, pyperclip, html2text, hyperframe, hpack, h2, editorconfig, jsbeautifier, click, Flask, urwid, lxml, argh, pathtools, watchdog, brotlipy, requests, pyparsing, passlib, configargparse, tornado, typing, pyOpenSSL, blinker, mitmproxy
  Found existing installation: cryptography 2.2.1
    Uninstalling cryptography-2.2.1:
      Successfully uninstalled cryptography-2.2.1
  Running setup.py install for cryptography ... error
    ERROR: Complete output from command /usr/bin/python -u -c 'import setuptools, tokenize;__file__='"'"'/tmp/pip-install-41JRoS/cryptography/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /tmp/pip-record-e2OZJq/install-record.txt --single-version-externally-managed --compile:
    ERROR: running install

 ,

gigantischer ()

Помогите выбрать (RPM) дистрибутив linux для ноутбука

Здравствуйте.

Помогите новичку выбрать (RPM) дистрибутив для ноутбука HP с процессором AMD E1-2500, 4гб оперативной памяти.

Сейчас выбираю между РОСА linux r11 и OpenSUSE leap 15.2.

 , ,

Rostik ()

solver.allowvendorchange как вернуть прежних поставщиков?

а то случайно включал а тут погают что строго не рекомендуется

solver.allowVendorChange = false
Разрешить по умолчанию смену поставщика при обновлении (действует как zypper dup вместо zypper up). Строго не рекомендуется к включению и по умолчанию отключено.

opensuse

 

Talnah ()

xmr-stak и openSUSE

Привет. У меня дуалбут openSUSE и Gentoo. Начиная с xmr-stak 2.9.0 (в которую добавили новый алгоритм майнинга cryptonight_r) в openSUSE майнер говорит:

[2019-05-25 23:56:18] : NVIDIA: try to load library 'xmrstak_cuda_backend'
WARNING: NVIDIA cannot load backend library: libxmrstak_cuda_backend_cuda.so: cannot open shared object file: No such file or directory

Хотя файл есть. А в Gentoo майнер всё видит и работает. Бинарники используются одни и те же. Майнинг на CPU и OpenCL тоже работает без проблем.

Проблемы начались после этого коммита: MISC: changes needed for cryptonight_r. Я откатил обратно изменения в файле CMakeLists.txt, и в openSUSE майнер увидел файл libxmrstak_cuda_backend.so

[2019-05-25 23:56:18] : NVIDIA: try to load library 'xmrstak_cuda_backend'
NVIDIA: found 1 potential device's
./xmr-stak: symbol lookup error: ./libxmrstak_cuda_backend.so: undefined symbol: cuInit

Прошу знающих людей посмотреть изменения в файл CMakeLists.txt, которые вносит тот коммит, чтобы увидеть где ошибка. Багрепорт

 , , ,

ZenitharChampion ()

В openSUSE есть «полуофициальные репы»...

говорили они. Берите свежий софт оттуда, говорили они. Это не васянство же.

В репе X11:Deepin:Factory сваяли пакет и отправили его на аудит команде безопасности для включения в openSUSE:Factory (без пяти минут Tumbleweed) И получили по щам: https://bugzilla.opensuse.org/show_bug.cgi?id=1136026

Такие вот пакеты в «полуофициальных» репах. А кто их юзает для свежего софта - сами себе молодцы.

 ,

gutaper ()

OpenSUSE не устанавливается skype

Пытаюсь обновить скайп на OpenSUSE-42.3 через zypper install skypeforlinux-64.rpm:

Проблема: ничто не предоставляет libdbus-1.so.3(LIBDBUS_1_3)(64bit), необходимый для skypeforlinux-8.45.0.41-1.x86_64
 Решение 1: не устанавливать skypeforlinux-8.45.0.41-1.x86_64
 Решение 2: повредить skypeforlinux-8.45.0.41-1.x86_64, игнорируя некоторые из его зависимостей

при этом в системе присутствуют:

% rpm -qa | grep libdbus
libdbus-1-3-32bit-1.8.22-5.1.x86_64
libdbus-1-3-1.8.22-5.1.x86_64

% rpm -ql libdbus-1-3-1.8.22-5.1.x86_64
/etc/dbus-1
/etc/dbus-1/session.d
/etc/dbus-1/system.d
/lib64/libdbus-1.so.3
/lib64/libdbus-1.so.3.8.14
/usr/share/dbus-1
/usr/share/dbus-1/interfaces
/usr/share/dbus-1/services
/usr/share/dbus-1/system-services
.................................

Добавил также в переменную окружения PATH через мой домашний .zshrc:

PATH="/lib64:/lib:..."

Не помогло-при попытке установить скайп ошибка не исчезает.

 ,

gigantischer ()

Состоялся релиз дистрибутива openSUSE 15.1

 

saahriktu ()

Vagrant - libreadline.so.6: no version information available

при запуске в zsh

% vagrant --help
bash: /tmp/.mount_vagranZ293Iv/lib/x86_64-linux-gnu/libreadline.so.6: no version information available (required by bash)
Usage: vagrant [options] <command> [<args>]

    -v, --version                    Print the version and exit.
    -h, --help                       Print this help.
............................................

но когда эту же команду запускаю в bash ссобщение идентичное:

bash: /tmp/.mount_vagranU5wBuP/lib/x86_64-linux-gnu/libreadline.so.6: no version information available (required by bash)

при этом симлинк присутствует:

% ls -l /tmp/.mount_vagranU5wBuP/lib/x86_64-linux-gnu/
lrwxrwxrwx 1 root root      18 мар 28  2014 libreadline.so.6 -> libreadline.so.6.3

 ,

gigantischer ()